#ifndef __EEPROM_H
#define __EEPROM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f1xx_hal.h"

#define FLASH_EEPROM_BASE	0x0801F800
#define FLASH_STARTO 0xBABEFACE

void putIntoEeprom(uint16_t, uint16_t*);
uint16_t watInTheFlash(uint32_t);
	
#ifdef __cplusplus
}
#endif

#endif /* __EEPROM_H */
